# TdApi.ChatTypeSecret

Package it.ernytech.tdlib

## Class TdApi.ChatTypeSecret

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatType
    - - it.ernytech.tdlib.TdApi.ChatTypeSecret

Enclosing class:
  TdApi

    public static class TdApi.ChatTypeSecret
    extends TdApi.ChatType

A secret chat with a user.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `secretChatId` Secret chat identifier.
`int` `userId` User identifier of the secret chat peer.

### Constructor Summary

Constructors
`ChatTypeSecret()` Default constructor.
`ChatTypeSecret​(int secretChatId, int userId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### secretChatId

    public int secretChatId

Secret chat identifier.

#### userId

    public int userId

User identifier of the secret chat peer.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatTypeSecret

    public ChatTypeSecret()

Default constructor.

#### ChatTypeSecret

    public ChatTypeSecret​(int secretChatId,
                          int userId)

Constructor for initialization of all fields.

Parameters:
  `secretChatId` - Secret chat identifier.
  `userId` - User identifier of the secret chat peer.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR